Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Attributes | List of all members
Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor Class Reference

Class representing sensor. More...

Inheritance diagram for Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor:

## Public Member Functions
| Sensor (string pathToInputRecords, string pathToOutputRecords)
| Initialize sensor with paths to files with input and output records. More...
override TimeSpan | GetTimeToNextAction (Random random)
| Returns time to generation of new ticket by getting time to the next input record. More...
override void | PerformAction (Random random)
| Generate new ticket from input records. More...

## Protected Attributes
CellularTopologyParameters | cellularTopologyParameters
| Reference to simulation parameters. More...

## Additional Inherited Members
Protected Member Functions inherited from Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator
void | GenerateTicket (int initialSpeed)
| Generate new ticket. In case that current number of tickets is zero add generator to set of generators with tickets. More...
Properties inherited from Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator
bool | IsPauseScheduled`[get]`
| Checks whether the generator has the pause scheduled. Not used so returns always false. More...
int | Priority`[get]`
| Generator priority as the simulation action generator. More...
Properties inherited from Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator
bool | IsPauseScheduled`[get]`
| Check whether the simulation action generator has the pause scheduled. More...
int | Priority`[get]`
| Priority determining the rank of the events which have the same time. More...

## Detailed Description

Class representing sensor.

Definition at line 14 of file Sensor.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor.Sensor | ( | string | pathToInputRecords,
|  | string | pathToOutputRecords
| ) |  |

Initialize sensor with paths to files with input and output records.

Parameters

  pathToInputRecords | Path to file with input records.
  pathToOutputRecords | Path to file with output records.

Definition at line 65 of file Sensor.cs.

## Member Function Documentation

override TimeSpan Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor.GetTimeToNextAction | ( | Random | random | ) |
| virtual

Returns time to generation of new ticket by getting time to the next input record.

Parameters

  random | Random instance which is not used.

Returns
  Time to generation of new ticket.

Reimplemented from Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.

Definition at line 109 of file Sensor.cs.

override void Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor.PerformAction | ( | Random | random | ) |
| virtual

Generate new ticket from input records.

Parameters

  random | Random instance which is not used.

Reimplemented from Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.

Definition at line 129 of file Sensor.cs.

## Member Data Documentation

CellularTopologyParameters Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor.cellularTopologyParameters
| protected

Reference to simulation parameters.

Definition at line 51 of file Sensor.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/TrafficObjects/Sensor.cs